## audacious 1.2.2

=== Makefile ===
.SILENT:

include mk/rules.mk
include mk/init.mk

SUBDIRS = libaudacious $(INTL_OBJECTIVE) $(SUBDIR_GUESS) audacious audtool po icons skins

include mk/objective.mk

install-posthook:
	@if test `whoami` = 'root' && test -z "$(DESTDIR)"; then \
		echo; \
		echo "WARNING:"; \
		echo "On some systems, it might be required that you run"; \
		echo "ldconfig. However, this isn't done automatically"; \
		echo "because some ldconfig versions might break the system"; \
		echo "if it's called without any parameters."; \
	fi

OBJECTIVE_DATA =							\
	audacious.pc:$(LIBDIR)/pkgconfig				\
	audacious.1:$(mandir)/man1					\
	audtool.1:$(mandir)/man1					\
	audacious/audacious.desktop:$(datadir)/applications

=== audacious/Makefile ===
include ../mk/rules.mk
include ../mk/init.mk
include ../mk/objective.mk

SUBDIRS = widgets glade images

beepincludedir = $(includedir)/audacious

OBJECTIVE_BINS = audacious

LDFLAGS += $(AUDLDFLAGS)

LDADD = \
	-L.. $(LTLIBINTL)     \
	-L../libaudacious -laudacious \
	$(CHARDET_LIBS) \
	$(GTK_LIBS)      \
	$(LIBGLADE_LIBS) \
	./widgets/libwidgets.a

CFLAGS += \
	$(GTK_CFLAGS)      \
	$(LIBGLADE_CFLAGS) \
	$(BEEP_DEFINES)    \
	$(ARCH_DEFINES)    \
	-D_AUDACIOUS_CORE \
	-I..    \
	-I../intl

HEADERS = \
	input.h \
	main.h \
	output.h \
	playlist.h \
	playlist_container.h \
	plugin.h \
	prefswin.h \
	util.h

SOURCES = \
	build_stamp.c \
	genevent.c \
	util.c \
	output.c \
	fft.c \
	input.c \
	effect.c \
	general.c \
	visualization.c \
	pluginenum.c \
	playlist.c \
	playlist_container.c \
	controlsocket.c \
	dock.c \
	playback.c \
	main.c \
	logger.c \
	mainwin.c \
	skinwin.c \
	prefswin.c \
	ui_fileinfo.c \
	ui_playlist.c \
	equalizer.c \
	glade.c \
	hints.c \
	about.c credits.c \
	softvolume.c \
	getopt.c getopt1.c \
	urldecode.c \
	iir.c \
	iir_cfs.c \
	iir_fpu.c

OBJECTS = ${SOURCES:.c=.o}

beepinclude_HEADERS = plugin.h output.h input.h

desktop_DATA = audacious.desktop
desktopdir = $(datadir)/applications

build-prehook:
	if [ -d .svn ] && [ -f build_stamp.c ]; then		\
		rm -f build_stamp.c;				\
		printf "%10s     %-20s\n" RM build_stamp.c;	\
	fi

build_stamp.c:
	if [ -d .svn ] || [ ! -f build_stamp.c ]; then		\
		( \
			echo '/* SVN repository version.'; \
			echo ' * This auto-generated file must not be included in SVN; but must'; \
			echo ' * be included in release tarballs.'; \
			echo ' */'; \
			echo '#include <glib.h>'; \
			echo -n 'const gchar *svn_stamp = "'; \
			(cd ..; svnversion -n .); \
			echo '";' \
		) > build_stamp.c; \
		printf "%10s     %-20s\n" STAMP build_stamp.c;	\
	fi;

audacious: $(OBJECTS) widgets/libwidgets.a
	$(CXX) $(LDFLAGS) $(OBJECTS) $(LDADD) -o $@ 
	@printf "%10s     %-20s\n" LINK $@

=== audtool/Makefile ===
include ../mk/rules.mk
include ../mk/init.mk
include ../mk/objective.mk

beepincludedir = $(includedir)/audacious

OBJECTIVE_BINS = audtool

LDFLAGS += $(AUDLDFLAGS)
LDADD = \
	-L../libaudacious -laudacious \
	$(GTK_LIBS)      \
	$(LIBGLADE_LIBS)

CFLAGS += \
	$(GTK_CFLAGS)      \
	$(LIBGLADE_CFLAGS) \
	$(BEEP_DEFINES)    \
	$(ARCH_DEFINES)    \
	-I..    \
	-I../intl

SOURCES = audtool.c

OBJECTS = ${SOURCES:.c=.o}

audtool: $(OBJECTS)
	$(CC) $(LDFLAGS) $(OBJECTS) $(LDADD) -o $@
	@printf "%10s     %-20s\n" LINK $@

=== intl/Makefile ===
include ../mk/rules.mk
include ../mk/init.mk

localedir = $(datadir)/locale
gettextsrcdir = $(datadir)/gettext/intl
aliaspath = $(localedir)

OBJECTIVE_LIBS_NOINST = libintl.a

DEFS += -DLOCALEDIR=\"$(localedir)\" -DLOCALE_ALIAS_PATH=\"$(aliaspath)\" \
-DLIBDIR=\"$(libdir)\" -DIN_LIBINTL \
-DENABLE_RELOCATABLE=1 -DIN_LIBRARY -DINSTALLDIR=\"$(libdir)\" -DINSTALLPREFIX=\"$(libdir)\" -DNO_XMALLOC \
-Dset_relocation_prefix=libintl_set_relocation_prefix \
-Drelocate=libintl_relocate \
-DDEPENDS_ON_LIBICONV=1

CFLAGS += $(PICFLAGS) -I../ -I. $(DEFS)

SOURCES = \
  bindtextdom.c \
  dcgettext.c \
  dgettext.c \
  gettext.c \
  finddomain.c \
  loadmsgcat.c \
  localealias.c \
  textdomain.c \
  l10nflist.c \
  explodename.c \
  dcigettext.c \
  dcngettext.c \
  dngettext.c \
  ngettext.c \
  plural.c \
  plural-exp.c \
  localcharset.c \
  relocatable.c \
  localename.c \
  log.c \
  osdep.c \
  os2compat.c \
  intl-compat.c  

OBJECTS = ${SOURCES:.c=.o}

include ../mk/objective.mk

libintl.a: $(OBJECTS)
	$(AR) cq $@ $(OBJECTS)

=== libaudacious/Makefile ===
include ../mk/rules.mk
include ../mk/init.mk

PICLDFLAGS = $(LIBLDFLAGS)

beepincludedir = $(includedir)/audacious

OBJECTIVE_LIBS = libaudacious$(SHARED_SUFFIX)
OBJECTIVE_SONAME_SUFFIX = 4

LIBADD = \
	$(GTK_LIBS)      \
	$(GCONF_LIBS)

CFLAGS += $(PICFLAGS) \
	$(GTK_CFLAGS)        \
	$(GCONF_CFLAGS)      \
	-D_AUDACIOUS_CORE    \
	-I..		      \
	-I../intl

CONF_SRC = configdb_$(CONFIGDB_BACKEND).c
VFS_SRC = vfs_stdio.c vfs_common.c

SOURCES = \
	$(CONF_SRC) \
	rcfile.c \
	$(VFS_SRC) \
	beepctrl.c \
	dirbrowser.c \
	util.c \
	formatter.c \
	titlestring.c \
	xentry.c \
	xconvert.c \
	xml_document.c

OBJECTS = ${SOURCES:.c=.o}

HEADERS = \
	vfs.h rcfile.h configdb.h \
	beepctrl.h dirbrowser.h \
	formatter.h titlestring.h xentry.h xconvert.h xml_document.h

include ../mk/objective.mk

install-posthook:
	@mv ${DESTDIR}/${LIBDIR}/libaudacious$(SHARED_SUFFIX) ${DESTDIR}/${LIBDIR}/libaudacious$(SHARED_SUFFIX).4.0.0
	@ln -sf ${LIBDIR}/libaudacious$(SHARED_SUFFIX).4.0.0 \
		${DESTDIR}/${LIBDIR}/libaudacious$(SHARED_SUFFIX).4
	@ln -sf ${LIBDIR}/libaudacious$(SHARED_SUFFIX).4 \
		${DESTDIR}/${LIBDIR}/libaudacious$(SHARED_SUFFIX)

=== libguess/Makefile ===
include ../mk/rules.mk
include ../mk/init.mk

OBJECTIVE_LIBS_NOINST = libguess.a
OBJECTIVE_SONAME_SUFFIX = 0.2.0

LDFLAGS += -Wl,-export-dynamic

CFLAGS += $(PICFLAGS)

SOURCES = \
	guess.c

OBJECTS = ${SOURCES:.c=.o}

include ../mk/objective.mk

libguess.a: $(OBJECTS)
	$(AR) cq $@ $(OBJECTS)

=== librcd/Makefile ===
include ../mk/rules.mk
include ../mk/init.mk

OBJECTIVE_LIBS_NOINST = librcd.a
OBJECTIVE_SONAME_SUFFIX = 0.1.8

LDFLAGS += -Wl,-export-dynamic

CFLAGS += $(PICFLAGS)

SOURCES = \
	librcd.c

OBJECTS = ${SOURCES:.c=.o}

include ../mk/objective.mk

libguess.a: $(OBJECTS)
	$(AR) cq $@ $(OBJECTS)

=== skins/Makefile ===
.SILENT:

include ../mk/rules.mk
include ../mk/init.mk

SUBDIRS = Default Classic TinyPlayer Osmosis Ivory

include ../mk/objective.mk

=== audacious/glade/Makefile ===
include ../../mk/rules.mk
include ../../mk/init.mk

gladexmldir = $(pkgdatadir)/glade

OBJECTIVE_DATA = \
	fileinfo.glade:$(gladexmldir) \
	fileinfo_popup.glade:$(gladexmldir) \
	prefswin.glade:$(gladexmldir) \
	addfiles.glade:$(gladexmldir)

include ../../mk/objective.mk

=== audacious/images/Makefile ===
include ../../mk/rules.mk
include ../../mk/init.mk

imagesdir = $(pkgdatadir)/images

OBJECTIVE_DATA = \
	about-logo.png:$(imagesdir) \
	audacious_player.xpm:$(imagesdir) \
	appearance.png:$(imagesdir) \
	audio.png:$(imagesdir) \
	connectivity.png:$(imagesdir) \
	mouse.png:$(imagesdir) \
	playlist.png:$(imagesdir) \
	plugins.png:$(imagesdir) \
	eq.png:$(imagesdir)

include ../../mk/objective.mk

=== audacious/widgets/Makefile ===
include ../../mk/rules.mk
include ../../mk/init.mk

OBJECTIVE_LIBS_NOINST = libwidgets.a

LDFLAGS += -Wl,-export-dynamic

CFLAGS += \
	$(GTK_CFLAGS)      \
	$(LIBGLADE_CFLAGS) \
	$(BEEP_DEFINES)    \
	$(ARCH_DEFINES)    \
	-D_AUDACIOUS_CORE  \
	-I../..    \
	-I..	   \
	-I../../intl \
	-Wno-strict-aliasing

SOURCES = \
	widget.c \
	sbutton.c \
	pbutton.c \
	tbutton.c \
	textbox.c \
	hslider.c \
	menurow.c \
	monostereo.c \
	vis.c \
	svis.c \
	number.c \
	playstatus.c \
	playlist_list.c \
	playlist_slider.c \
	eq_graph.c \
	eq_slider.c \
	skin.c

OBJECTS = ${SOURCES:.c=.o}

include ../../mk/objective.mk

libwidgets.a: $(OBJECTS)
	$(AR) cq $@ $(OBJECTS)

=== skins/Default/Makefile ===
include ../../mk/rules.mk
include ../../mk/init.mk

skindir = $(pkgdatadir)/Skins/Default

OBJECTIVE_DATA = \
	balance.png:$(skindir)		\
	cbuttons.png:$(skindir)		\
	eq_ex.png:$(skindir)		\
	eqmain.png:$(skindir)		\
	main.png:$(skindir)		\
	monoster.png:$(skindir)		\
	nums_ex.png:$(skindir)		\
	playpaus.png:$(skindir)		\
	pledit.png:$(skindir)		\
	posbar.png:$(skindir)		\
	shufrep.png:$(skindir)		\
	text.png:$(skindir)		\
	titlebar.png:$(skindir)		\
	volume.png:$(skindir)		\
	pledit.txt:$(skindir)		\
	viscolor.txt:$(skindir)		\
	skin.hints:$(skindir)

include ../../mk/objective.mk

## audacious 1.5.0

=== Makefile ===
SUBDIRS = src man pixmaps po
DATA = Skins/Classic/balance.png	\
       Skins/Classic/cbuttons.png	\
       Skins/Classic/eq_ex.png		\
       Skins/Classic/eqmain.png		\
       Skins/Classic/main.png		\
       Skins/Classic/monoster.png	\
       Skins/Classic/nums_ex.png	\
       Skins/Classic/playpaus.png	\
       Skins/Classic/pledit.png		\
       Skins/Classic/pledit.txt		\
       Skins/Classic/posbar.png		\
       Skins/Classic/shufrep.png	\
       Skins/Classic/skin-classic.hints	\
       Skins/Classic/skin.hints		\
       Skins/Classic/text.png		\
       Skins/Classic/titlebar.png	\
       Skins/Classic/viscolor.txt	\
       Skins/Classic/volume.png		\
       Skins/Classic1.3/balance.png	\
       Skins/Classic1.3/cbuttons.png	\
       Skins/Classic1.3/eq_ex.png		\
       Skins/Classic1.3/eqmain.png		\
       Skins/Classic1.3/main.png		\
       Skins/Classic1.3/monoster.png	\
       Skins/Classic1.3/nums_ex.png	\
       Skins/Classic1.3/playpaus.png	\
       Skins/Classic1.3/pledit.png		\
       Skins/Classic1.3/pledit.txt		\
       Skins/Classic1.3/posbar.png		\
       Skins/Classic1.3/shufrep.png	\
       Skins/Classic1.3/skin-classic.hints	\
       Skins/Classic1.3/skin.hints		\
       Skins/Classic1.3/text.png		\
       Skins/Classic1.3/titlebar.png	\
       Skins/Classic1.3/viscolor.txt	\
       Skins/Classic1.3/volume.png		\
       Skins/Default/cbuttons.png	\
       Skins/Default/eq_ex.png		\
       Skins/Default/eqmain.png		\
       Skins/Default/main.png		\
       Skins/Default/monoster.png	\
       Skins/Default/nums_ex.png	\
       Skins/Default/playpaus.png	\
       Skins/Default/pledit.png		\
       Skins/Default/pledit.txt		\
       Skins/Default/posbar.png		\
       Skins/Default/shufrep.png	\
       Skins/Default/skin.hints		\
       Skins/Default/text.png		\
       Skins/Default/titlebar.png	\
       Skins/Default/viscolor.txt	\
       Skins/Default/volume.png		\
       Skins/Default/gtk-2.0/Arrows/arrow-down.png \
       Skins/Default/gtk-2.0/Arrows/arrow-insens.png \
       Skins/Default/gtk-2.0/Arrows/arrow-left.png \
       Skins/Default/gtk-2.0/Arrows/arrow-right.png \
       Skins/Default/gtk-2.0/Arrows/arrow-up.png \
       Skins/Default/gtk-2.0/Buttons/button-insensitive.png \
       Skins/Default/gtk-2.0/Buttons/button-normal.png \
       Skins/Default/gtk-2.0/Buttons/button-prelight.png \
       Skins/Default/gtk-2.0/Check-Radio/check1.png \
       Skins/Default/gtk-2.0/Check-Radio/check2.png \
       Skins/Default/gtk-2.0/Check-Radio/check3.png \
       Skins/Default/gtk-2.0/Check-Radio/check4.png \
       Skins/Default/gtk-2.0/Check-Radio/check5.png \
       Skins/Default/gtk-2.0/Check-Radio/check6.png \
       Skins/Default/gtk-2.0/Check-Radio/option1.png \
       Skins/Default/gtk-2.0/Check-Radio/option2.png \
       Skins/Default/gtk-2.0/Check-Radio/option3.png \
       Skins/Default/gtk-2.0/Check-Radio/option4.png \
       Skins/Default/gtk-2.0/Check-Radio/option5.png \
       Skins/Default/gtk-2.0/Check-Radio/option6.png \
       Skins/Default/gtk-2.0/Frame-Gap/frame-gap-end.png \
       Skins/Default/gtk-2.0/Frame-Gap/frame-gap-start.png \
       Skins/Default/gtk-2.0/Frame-Gap/frame.png \
       Skins/Default/gtk-2.0/Handles/handle-h.png \
       Skins/Default/gtk-2.0/Handles/handle-v.png \
       Skins/Default/gtk-2.0/Lines/line-h.png \
       Skins/Default/gtk-2.0/Lines/line-v.png \
       Skins/Default/gtk-2.0/ListHeaders/list_header-insens.png \
       Skins/Default/gtk-2.0/ListHeaders/list_header-prelight.png \
       Skins/Default/gtk-2.0/ListHeaders/list_header-pressed.png \
       Skins/Default/gtk-2.0/ListHeaders/list_header.png \
       Skins/Default/gtk-2.0/Menu-Menubar/menu.png \
       Skins/Default/gtk-2.0/Menu-Menubar/menubar-item-active.png \
       Skins/Default/gtk-2.0/Menu-Menubar/menubar-item.png \
       Skins/Default/gtk-2.0/Menu-Menubar/menubar.png \
       Skins/Default/gtk-2.0/Others/null.png \
       Skins/Default/gtk-2.0/Others/ruler.png \
       Skins/Default/gtk-2.0/Panel/panel-bg.png \
       Skins/Default/gtk-2.0/ProgressBar/progressbar-horiz.png \
       Skins/Default/gtk-2.0/ProgressBar/trough-progressbar-horiz.png \
       Skins/Default/gtk-2.0/Range/slider-horiz-prelight.png \
       Skins/Default/gtk-2.0/Range/slider-horiz.png \
       Skins/Default/gtk-2.0/Range/slider-vert-prelight.png \
       Skins/Default/gtk-2.0/Range/slider-vert.png \
       Skins/Default/gtk-2.0/Range/trough-horizontal.png \
       Skins/Default/gtk-2.0/Range/trough-vertical.png \
       Skins/Default/gtk-2.0/Scrollbars/scroll-thumb-horiz-pre.png \
       Skins/Default/gtk-2.0/Scrollbars/scroll-thumb-horiz.png \
       Skins/Default/gtk-2.0/Scrollbars/scroll-thumb-vert-pre.png \
       Skins/Default/gtk-2.0/Scrollbars/scroll-thumb-vert.png \
       Skins/Default/gtk-2.0/Scrollbars/slider-horiz-pre.png \
       Skins/Default/gtk-2.0/Scrollbars/slider-horiz.png \
       Skins/Default/gtk-2.0/Scrollbars/slider-vert-pre.png \
       Skins/Default/gtk-2.0/Scrollbars/slider-vert.png \
       Skins/Default/gtk-2.0/Scrollbars/stepper-down-prelight.png \
       Skins/Default/gtk-2.0/Scrollbars/stepper-down.png \
       Skins/Default/gtk-2.0/Scrollbars/stepper-left-prelight.png \
       Skins/Default/gtk-2.0/Scrollbars/stepper-left.png \
       Skins/Default/gtk-2.0/Scrollbars/stepper-right-prelight.png \
       Skins/Default/gtk-2.0/Scrollbars/stepper-right.png \
       Skins/Default/gtk-2.0/Scrollbars/stepper-up-prelight.png \
       Skins/Default/gtk-2.0/Scrollbars/stepper-up.png \
       Skins/Default/gtk-2.0/Scrollbars/trough-scrollbar-horiz.png \
       Skins/Default/gtk-2.0/Scrollbars/trough-scrollbar-vert.png \
       Skins/Default/gtk-2.0/Shadows/shadow-in.png \
       Skins/Default/gtk-2.0/Shadows/shadow-out.png \
       Skins/Default/gtk-2.0/Shadows/text-.png \
       Skins/Default/gtk-2.0/Shadows/text-entry.png \
       Skins/Default/gtk-2.0/Spin/spin-down-disable.png \
       Skins/Default/gtk-2.0/Spin/spin-down-prelight.png \
       Skins/Default/gtk-2.0/Spin/spin-down.png \
       Skins/Default/gtk-2.0/Spin/spin-up-disable.png \
       Skins/Default/gtk-2.0/Spin/spin-up-prelight.png \
       Skins/Default/gtk-2.0/Spin/spin-up.png \
       Skins/Default/gtk-2.0/Tabs/gap-bottom-left.png \
       Skins/Default/gtk-2.0/Tabs/gap-bottom-right.png \
       Skins/Default/gtk-2.0/Tabs/gap-left-bottom.png \
       Skins/Default/gtk-2.0/Tabs/gap-left-top.png \
       Skins/Default/gtk-2.0/Tabs/gap-right-bottom.png \
       Skins/Default/gtk-2.0/Tabs/gap-right-top.png \
       Skins/Default/gtk-2.0/Tabs/gap-top-current.png \
       Skins/Default/gtk-2.0/Tabs/gap-top-left.png \
       Skins/Default/gtk-2.0/Tabs/gap-top-right.png \
       Skins/Default/gtk-2.0/Tabs/notebook.png \
       Skins/Default/gtk-2.0/Tabs/tab-bottom-active.png \
       Skins/Default/gtk-2.0/Tabs/tab-bottom.png \
       Skins/Default/gtk-2.0/Tabs/tab-left-active.png \
       Skins/Default/gtk-2.0/Tabs/tab-left.png \
       Skins/Default/gtk-2.0/Tabs/tab-right-active.png \
       Skins/Default/gtk-2.0/Tabs/tab-right.png \
       Skins/Default/gtk-2.0/Tabs/tab-top-active.png \
       Skins/Default/gtk-2.0/Tabs/tab-top.png \
       Skins/Default/gtk-2.0/Toolbar/toolbar.png \
       Skins/Default/gtk-2.0/gtkrc \
       Skins/Default/gtk-2.0/panel.rc \
       Skins/Ivory/balance.png		\
       Skins/Ivory/cbuttons.png		\
       Skins/Ivory/eq_ex.png		\
       Skins/Ivory/eqmain.png		\
       Skins/Ivory/main.png		\
       Skins/Ivory/monoster.png		\
       Skins/Ivory/nums_ex.png		\
       Skins/Ivory/playpaus.png		\
       Skins/Ivory/pledit.png		\
       Skins/Ivory/pledit.txt		\
       Skins/Ivory/posbar.png		\
       Skins/Ivory/shufrep.png		\
       Skins/Ivory/skin.hints		\
       Skins/Ivory/text.png		\
       Skins/Ivory/titlebar.png		\
       Skins/Ivory/viscolor.txt		\
       Skins/Ivory/volume.png		\
       Skins/Osmosis/balance.png	\
       Skins/Osmosis/cbuttons.png	\
       Skins/Osmosis/eq_ex.png		\
       Skins/Osmosis/eqmain.png		\
       Skins/Osmosis/main.png		\
       Skins/Osmosis/monoster.png	\
       Skins/Osmosis/nums_ex.png	\
       Skins/Osmosis/playpaus.png	\
       Skins/Osmosis/pledit.png		\
       Skins/Osmosis/pledit.txt		\
       Skins/Osmosis/posbar.png		\
       Skins/Osmosis/shufrep.png	\
       Skins/Osmosis/skin.hints		\
       Skins/Osmosis/text.png		\
       Skins/Osmosis/titlebar.png	\
       Skins/Osmosis/viscolor.txt	\
       Skins/Osmosis/volume.png		\
       Skins/TinyPlayer/balance.png	\
       Skins/TinyPlayer/cbuttons.png	\
       Skins/TinyPlayer/eq_ex.png	\
       Skins/TinyPlayer/eqmain.png	\
       Skins/TinyPlayer/main.png	\
       Skins/TinyPlayer/monoster.png	\
       Skins/TinyPlayer/nums_ex.png	\
       Skins/TinyPlayer/playpaus.png	\
       Skins/TinyPlayer/pledit.png	\
       Skins/TinyPlayer/pledit.txt	\
       Skins/TinyPlayer/posbar.png	\
       Skins/TinyPlayer/shufrep.png	\
       Skins/TinyPlayer/skin.hints	\
       Skins/TinyPlayer/text.png	\
       Skins/TinyPlayer/titlebar.png	\
       Skins/TinyPlayer/viscolor.txt	\
       Skins/TinyPlayer/volume.png	\
       Skins/Refugee/cbuttons.png	\
       Skins/Refugee/eq_ex.png		\
       Skins/Refugee/eqmain.png		\
       Skins/Refugee/main.png		\
       Skins/Refugee/monoster.png	\
       Skins/Refugee/nums_ex.png	\
       Skins/Refugee/playpaus.png	\
       Skins/Refugee/pledit.png		\
       Skins/Refugee/pledit.txt		\
       Skins/Refugee/posbar.png		\
       Skins/Refugee/shufrep.png	\
       Skins/Refugee/skin.hints		\
       Skins/Refugee/text.png		\
       Skins/Refugee/titlebar.png	\
       Skins/Refugee/viscolor.txt	\
       Skins/Refugee/volume.png

DISTCLEAN = extra.mk

include buildsys.mk

install-extra:
	for i in audacious.pc audclient.pc; do \
	        ${INSTALL_STATUS}; \
		if ${MKDIR_P} ${DESTDIR}${libdir}/pkgconfig && ${INSTALL} -m 644 $$i ${DESTDIR}${libdir}/pkgconfig/$$i; then \
			${INSTALL_OK}; \
		else \
			${INSTALL_FAILED}; \
		fi; \
	done
	for i in audacious.desktop; do \
		${INSTALL_STATUS}; \
		if ${MKDIR_P} ${DESTDIR}${datadir}/applications && ${INSTALL} -m 644 $$i ${DESTDIR}${datadir}/applications/$$i; then \
			${INSTALL_OK}; \
		else \
			${INSTALL_FAILED}; \
		fi \
	done
	if [ -f ${DESTDIR}${datadir}/audacious/Skins/Default/balance.png ]; then \
		rm -f ${DESTDIR}${datadir}/audacious/Skins/Default/balance.png; \
	fi

uninstall-extra:
	for i in audacious.pc audclient.pc; do \
		if [ -f ${DESTDIR}${libdir}/pkgconfig/$$i ]; then \
			if rm -f ${DESTDIR}${libdir}/pkgconfig/$$i; then \
				${DELETE_OK}; \
			else \
				${DELETE_FAILED}; \
			fi \
		fi; \
	done
	for i in audacious.desktop; do \
		if test -f ${DESTDIR}${datadir}/applications/$$i; then \
			if rm -f ${DESTDIR}${datadir}/applications/$$i; then \
				${DELETE_OK}; \
			else \
				${DELETE_FAILED}; \
			fi \
		fi \
	done

=== src/Makefile ===
SUBDIRS = libeggsmclient libguess libSAD audacious libid3tag

include ../extra.mk

ifdef USE_DBUS
SUBDIRS := libaudclient audtool $(SUBDIRS)
endif

include ../buildsys.mk

## audacious 2.1

=== src/Makefile ===
SUBDIRS = libaudcore libguess libSAD audacious libid3tag libaudutil libaudtag

include ../extra.mk

ifeq ($(USE_EGGSM),yes)
SUBDIRS := libeggsmclient ${SUBDIRS}
endif

ifeq ($(USE_DBUS),yes)
SUBDIRS := libaudclient audtool ${SUBDIRS}
endif

include ../buildsys.mk

=== src/audacious/Makefile ===
include ../../extra.mk

SUBDIRS = ${INTL_OBJECTIVE}

PROG = audacious2${PROG_SUFFIX}
SRCS = af_equalizer.c							\
       auddrct.c								\
       audconfig.c								\
       build_stamp.c							\
       chardet.c								\
       configdb.c								\
       custom_uri.c								\
       discovery.c								\
       dnd.c									\
       effect.c									\
       equalizer.c								\
       equalizer_flow.c							\
       equalizer_preset.c						\
       eventqueue.c								\
       fft.c									\
       flow.c									\
       general.c								\
       hook.c									\
       icons-stock.c							\
       interface.c								\
       input.c									\
       logger.c									\
       main.c									\
       mime.c									\
       output.c									\
       pixbuf_effects.c							\
       playback.c								\
       playback_evlisteners.c					\
       playlist.c								\
       playlist_container.c						\
       pluginenum.c								\
       rcfile.c									\
       scanner.c \
       signals.c								\
       src_flow.c								\
       ui_fileinfopopup.c						\
       ui_fileopener.c							\
       ui_headless.c							\
       ui_plugin_menu.c \
       ui_preferences.c							\
       util.c									\
       vis_runner.c \
       visualization.c							\
       volumecontrol.c							\
       sync-menu.c								\
       ui_about.c						\
       ui_albumart.c						\
       ui_credits.c						\
       ui_fileinfo.c						\
       ui_jumptotrack.c					\
       ui_jumptotrack_cache.c			\
       ui_misc.c				\
       ui_playlist_manager.c				\
       ui_urlopener.c					\
       actions.c

ifeq ($(USE_DBUS),yes)
SRCS += dbus.c
endif

INCLUDES = auddrct.h			\
           audconfig.h			\
           configdb.h			\
           custom_uri.h			\
           dbus.h				\
           discovery.h			\
           dbus-service.h		\
           equalizer_preset.h			\
           eventqueue.h			\
           flow.h				\
           rcfile.h				\
           i18n.h				\
           input.h				\
           hook.h				\
           interface.h			\
           main.h				\
           mime.h				\
           output.h				\
           playback.h			\
           playlist.h			\
           playlist_container.h	\
           plugin.h				\
           preferences.h		\
           scanner.h \
           ui_fileinfopopup.h	\
           ui_plugin_menu.h		\
           ui_preferences.h		\
           util.h \
           vis_runner.h

DATA = images/about-logo.png				\
       images/appearance.png				\
       images/audacious_eq.xpm				\
       images/audacious_player.xpm			\
       images/audacious_playlist.xpm		\
       images/audio.png						\
       images/blue.png						\
       images/connectivity.png				\
       images/menu_playlist.png				\
       images/menu_plugin.png				\
       images/menu_queue_toggle.png			\
       images/menu_randomize_playlist.png	\
       images/mouse.png						\
       images/playback.png					\
       images/playlist.png					\
       images/plugins.png					\
       images/replay_gain.png				\
       ui/equalizer.ui						\
       ui/mainwin.ui						\
       ui/player.ui						\
       ui/playlist.ui						\
       ui/carbon-menubar.ui

CLEAN = build_stamp.c libaudacious.exe.a
EXT_DEPS = ../libguess/libguess.a ../libSAD/${LIB_PREFIX}SAD${LIB_SUFFIX}

ifeq ($(USE_EGGSM),yes)
EXT_DEPS += ../libeggsmclient/libeggsmclient.a
EGGSM_LIBS = ../libeggsmclient/libeggsmclient.a ${SM_LIBS}
EGGSM_CFLAGS =  -I../libeggsmclient ${SM_CFLAGS}
endif

include ../../buildsys.mk

ifeq ($(USE_DBUS),yes)
CPPFLAGS += -I../libaudclient
DBUS_BINDINGS = dbus-server-bindings.h dbus-client-bindings.h
LIBS += -L../libaudclient -laudclient
endif

pre-depend: ${DBUS_BINDINGS}

CPPFLAGS += -DHAVE_CONFIG_H		\
		${MOWGLI_CFLAGS}		\
		${GLIB_CFLAGS}			\
		${GTHREAD_CFLAGS}		\
		${GTK_CFLAGS}			\
		${AUDACIOUS_DEFINES}	\
		${ARCH_DEFINES}			\
		${DBUS_CFLAGS}			\
		${SAMPLERATE_CFLAGS}	\
		${REGEX_CFLAGS}			\
		${LIBMCS_CFLAGS}		\
		${SIMD_CFLAGS}			\
		-D_AUDACIOUS_CORE		\
		${EGGSM_CFLAGS}			\
		-I.. -I../..			\
		-I./intl			\
		-I.				\
		-I../libSAD			\
		-I../libaudcore

LIBS += ${LDADD}						\
		-L../libaudcore -laudcore	\
		${LIBINTL}						\
		${SAMPLERATE_LIBS}				\
		../libguess/libguess.a			\
		-L../libSAD -lSAD			\
		${EGGSM_LIBS}					\
		${GLIB_LIBS}					\
		${GTHREAD_LIBS}					\
		${GTK_LIBS}						\
		${DBUS_LIBS}					\
		${MOWGLI_LIBS}					\
		${LIBMCS_LIBS}					\
		${REGEX_LIBS}

LDFLAGS += ${PROG_IMPLIB_LDFLAGS} ${AUDLDFLAGS}

build_stamp.c:
	if test -d ../../.hg ; then \
		revh=`hg tip --template 'const char *svn_stamp = "#rev#:#node|short#";\n' 2>/dev/null`; \
		[ -z "$$revh" ] || echo "$$revh" > build_stamp.c; \
	else \
		echo "const char *svn_stamp = \"UNSUPPORTED VERSION\";" > build_stamp.c; \
	fi

DBUS_BINDINGS_SOURCES = objects.xml				\
						mpris_root.xml			\
						mpris_tracklist.xml		\
						mpris_player.xml

desktop_DATA = audacious.desktop
desktopdir = ${datadir}/applications

dbus-server-bindings.h: ${DBUS_BINDINGS_SOURCES}
	${DBUS_BINDING_TOOL} --mode=glib-server --prefix=audacious_rc objects.xml > $@
	${DBUS_BINDING_TOOL} --mode=glib-server --prefix=mpris_root mpris_root.xml >> $@
	${DBUS_BINDING_TOOL} --mode=glib-server --prefix=mpris_tracklist mpris_tracklist.xml >> $@
	${DBUS_BINDING_TOOL} --mode=glib-server --prefix=mpris_player mpris_player.xml >> $@

dbus-client-bindings.h: ${DBUS_BINDINGS_SOURCES}
	${DBUS_BINDING_TOOL} --mode=glib-client --prefix=audacious_rc objects.xml > $@

install-extra:
	if test x"${PROG_IMPLIB_NEEDED}" = x"yes"; then \
		for i in ${PROG}; do \
			i="lib$$i.a"; \
			${INSTALL_STATUS}; \
			if ${MKDIR_P} ${DESTDIR}${libdir} && install -m 644 $$i ${DESTDIR}${libdir}/$$i; then \
				${INSTALL_OK}; \
			else \
				${INSTALL_FAILED}; \
			fi \
		done \
	fi

uninstall-extra:
	if test x"${PROG_IMPLIB_NEEDED}" = x"yes"; then \
		for i in ${PROG}; do \
			i="lib$$i.a"; \
			if test -f ${DESTDIR}${libdir}/$$i; then \
				if rm -f ${DESTDIR}${libdir}/$$i; then \
					${DELETE_OK}; \
				else \
					${DELETE_FAILED}; \
				fi \
			fi \
		done \
	fi

=== src/libaudtag/Makefile ===
# SUBDIRS = tests
LIB = ${LIB_PREFIX}audtag${LIB_SUFFIX}
LIB_MAJOR = 1
LIB_MINOR = 0

SRCS = audtag.c 		\
       util.c                   \
       tag_module.c		\
       wma/guid.c		\
       wma/module.c		\
       wma/wma_fmt.c	\
       wma/wma.c        
INCLUDES = audtag.h \
            


include ../../buildsys.mk
include ../../extra.mk

CPPFLAGS = ${LIB_CPPFLAGS} ${CFLAGS} -D_AUDACIOUS_CORE -I.. -I../..
CFLAGS += ${LIB_CFLAGS}		\
	  ${GLIB_CFLAGS}	\
	  ${MOWGLI_CFLAGS}
LIBS += ${GLIB_LIBS}

=== src/tests/Makefile ===
include ../../buildsys.mk
include ../../extra.mk

OBJECTIVE_LIBS_NOINST = tuple_formatter_test \
	tuple_formatter_functor_test \
	wma_test

LDFLAGS += $(AUDLDFLAGS)
LDADD = \
	$(DBUS_LIBS) \
	$(GTK_LIBS)      \
	$(MOWGLI_LIBS)

CFLAGS += \
	$(GTK_CFLAGS)      \
	$(DBUS_CFLAGS)     \
	$(AUDACIOUS_DEFINES)    \
	$(ARCH_DEFINES)    \
	$(MOWGLI_CFLAGS)   \
	-I.. -I../..   \
	-I../intl -I../audacious

COMMON_OBJS = test_harness.o
TFT_OBJS = $(COMMON_OBJS) tuple_formatter_test.o ../audacious/tuple.o ../audacious/tuple_formatter.o
tuple_formatter_test: $(TFT_OBJS)
	$(CC) $(LDFLAGS) $(TFT_OBJS) $(LDADD) -o $@
	@printf "%10s     %-20s\n" LINK $@
	./$@
	@printf "%10s     %-20s\n" TEST-PASS $@

TFFT_OBJS = $(COMMON_OBJS) tuple_formatter_functor_test.o ../audacious/tuple.o ../audacious/tuple_formatter.o
tuple_formatter_functor_test: $(TFFT_OBJS)
	$(CC) $(LDFLAGS) $(TFFT_OBJS) $(LDADD) -o $@
	@printf "%10s     %-20s\n" LINK $@
	./$@
	@printf "%10s     %-20s\n" TEST-PASS $@

WMA_OBJS = $(COMMON_OBJS) wma_test.o ../libaudtag/wma.o 
wma_test: $(WMA_OBJS)
	$(CC) $(LDFLAGS) $(WMA_OBJS) $(LDADD) -o $@
	@printf "%10s     %-20s\n" LINK $@
	./$@
	@printf "%10s     %-20s\n" TEST-PASS $@

## audacious 2.3

=== src/audtool/Makefile ===
PROG = audtool2
SRCS = main.c				\
       handlers_general.c	\
       handlers_playback.c	\
       handlers_playlist.c	\
       handlers_playqueue.c	\
       handlers_vitals.c	\
       handlers_equalizer.c	\
       report.c

include ../../buildsys.mk
include ../../extra.mk

CPPFLAGS += ${CFLAGS} -I.. -I../.. -I../intl
CFLAGS += ${GTK_CFLAGS}			\
		  ${DBUS_CFLAGS}		\
		  ${AUDACIOUS_DEFINES}	\
		  ${ARCH_DEFINES}		\
		  ${MOWGLI_CFLAGS}

LDFLAGS += ${AUDLDFLAGS}

LIBS += ${DBUS_LIBS}				\
	-L../libaudclient -laudclient	\
	${GTK_LIBS}						\
	${MOWGLI_LIBS}					\
	${LIBMCS_LIBS}

install-extra:
	if test -h "${DESTDIR}${bindir}/audtool" ; then ${RM} "${DESTDIR}${bindir}/audtool" ; fi
	mkdir -p "${DESTDIR}${bindir}"
	${LN_S} "${DESTDIR}${bindir}/audtool2" "${DESTDIR}${bindir}/audtool"

uninstall-extra:
	if test -h "${DESTDIR}${bindir}/audtool" ; then ${RM} "${DESTDIR}${bindir}/audtool" ; fi

=== src/libaudtag/Makefile ===
LIB = ${LIB_PREFIX}audtag${LIB_SUFFIX}
LIB_MAJOR = 1
LIB_MINOR = 0

SRCS = audtag.c		\
       util.c		\
       tag_module.c	\
       wma/guid.c	\
       wma/wma.c	\
       id3/id3.c	\
       ape/ape.c	\
       aac/aac.c
INCLUDES = audtag.h util.h

include ../../buildsys.mk
include ../../extra.mk
includesubdir = libaudtag

CPPFLAGS += ${LIB_CPPFLAGS} ${GLIB_CFLAGS} ${MOWGLI_CFLAGS} -D_AUDACIOUS_CORE -I.. -I../..
CFLAGS += ${LIB_CFLAGS}
LIBS += ${GLIB_LIBS} ${MOWGLI_LIBS}

=== debian/changelog ===
audacious (2.3-2) unstable; urgency=low

  [Chris Taylor]
  * Update debian/copyright.
  * Upload to unstable.

  [Benjamin Drung]
  * Enable parallel build.
  * Disable SSE2 on i386 (LP: #562713).
  * Add new SVG icon created by Daniel Fore (LP: #563043).
  * Rename icons from audacious2 to audacious.
  * Install versionless symlinks audacious and audtool.

 -- Chris Taylor <ctaylor@debian.org>  Mon, 10 May 2010 18:06:12 -0700

audacious (2.3-1) experimental; urgency=low

  [ Chris Taylor ]
  * New uploader.
  * New upstream release. 
    - (Closes: #559055, #531214, #497769, #534113, #567839, #491615, #500634)
    - (Closes: #512911, #543449, #543561, #550550, #561826) 
  * Use source format 3.0 (quilt)
  * Use dh7 in debian/rules
  * Remove libsad* from packaging.
    - Add replaces in debian/control
  * Remove libaudutil* from packaging.
    - Add replaces in debian/control.
  * Add libaudtag and libaudgui to libaudcore1.
  * Bump standards-version.
  * Update debian/copyright.

  [ Benjamin Drung ]
  * Bump libmcs-dev version to >= 0.7 (Closes: #508630).
  * Change build id from UNSUPPORTED VERSION to <vendor> package
   (Closes: #572773).
  * Add symbol files for libraries.
  * Various cleanups.

 -- Chris Taylor <ctaylor@debian.org>  Fri, 02 Apr 2010 21:37:21 +0000

audacious (2.1-1) unstable; urgency=low

  * New upstream release.
    - Do not set the system volume at startup.  (Closes: #531831)
    - Don't crash on control-c in certain situations.  (Closes: #531823)
    - Fix 'stop after current song' behaviour.  (Closes: #471553)

  * debian/patches/003-change-default-skin.patch: dropped.
  * debian/control: Add dbus-x11 dependency.  (Closes: #503427)

 -- William Pitcock <nenolod@dereferenced.org>  Tue, 07 Jul 2009 20:29:37 -0500

audacious (2.0.1-1) unstable; urgency=low

  [ William Pitcock ]
  * New upstream release.
  * debian/patches/audacious-play-files-from-commandline.patch: dropped
  * debian/patches/bugzilla-42.patch: dropped

  [ John Lindgren ]
  * Fix improper behaviour when the file info dialog is closed.
    (Closes: #495427)
  * Fix crash with 'audtool help playback-seek-relative'.
    (Closes: #512910)
  * Fix some problems seeking while paused.
    (Closes: #517692)
  * Fix behaviour of -t argument when Audacious is not already running.
    (Closes: #497602)

  [ Andrew O. Shadoura ]
  * Include track number in MPRIS exported metadata.
    (Closes: #514426)

  [ Benjamin Drung ]
  * debian/patches/003-change-default-skin.patch: Corrected path
    (skins -> Skins)

 -- William Pitcock <nenolod@dereferenced.org>  Fri, 29 May 2009 21:25:03 -0500

audacious (1.5.1-4) unstable; urgency=medium

  [ Benjamin Drung ]
  * debian/rules: Do not disable SSE2 on x86_64, because all x86_64 CPUs support
    SSE2.
  * debian/control: cosmetic improvements

  [ William Pitcock ]
  * debian/patches/audacious-play-files-from-command-line.patch: Make adding
    files from the command line work. Thanks Stefan Ott! (Closes: #491043)
  * debian/patches/bugzilla-42.patch: Fix a bunch of crappy bugs in the
    playlist code. (Closes: #491655, #491097).

 -- William Pitcock <nenolod@dereferenced.org>  Fri, 29 Aug 2008 15:56:58 -0500

audacious (1.5.1-3) unstable; urgency=medium

  * Change dependency relations to make the package installable.
    (Closes: #491699, #491910).

 -- William Pitcock <nenolod@dereferenced.org>  Sun, 20 Jul 2008 23:10:13 -0500

audacious (1.5.1-2) unstable; urgency=medium

  * Build without SSE2 support where appropriate.
    (Closes: #471061, #489037).
  * Strengthen dependency on audacious-plugins to enforce correct
    plugin version usage due to an ABI break.
    (Closes: #489958, #486543, #489217).
  * Make sure that libaudclient1 and libaudid3tag1 are updated to matching
    versions so that the private interfaces match up correctly, by Depending
    on them in audacious.
  * debian/control: Bump to Standards-Version 3.8.0; no changes required.

 -- William Pitcock <nenolod@dereferenced.org>  Thu, 17 Jul 2008 20:10:07 -0500

audacious (1.5.1-1) unstable; urgency=low

  * New upstream release, highlights include (Closes: #483095):
    - On UNIX platforms, add a dbus dependency in audacious/audclient.pc.
      (Closes: #469055)
    - Remove Reload Plugins feature.
      (Closes: #480202)
    - Scaling feature has been reset back to the old scaling ratio.
      (Closes: #471040)
  * Move to team maintainance, like in audacious-plugins.
  * Packaging improvements:
    - debian/control: fix description of audacious-dev package, libaudacious
      was dropped a long time ago and replaced with libaudclient.
      (Closes: #475142)
    - debian/control: make sure dependency relations cannot cause a cyclic
      error. (Closes: #461511)
    - debian/control: add audacious-dbg package. Please install this before
      reporting segfaults, it makes correcting them much easier for me.
    - debian/control: update my e-mail address
    - debian/control, debian/rules, debian/patches/*: switch to Quilt.
    - debian/patches/003-change-default-skin.patch: rebased against 1.5.1.

 -- William Pitcock <nenolod@dereferenced.org>  Thu, 05 Jun 2008 23:07:17 -0500

audacious (1.5.0-2) unstable; urgency=low

  * Configure without SSE2 support (Closes: #471061).

 -- Adam Cécile (Le_Vert) <gandalf@le-vert.net>  Wed, 26 Mar 2008 09:45:26 +0100

audacious (1.5.0-1) unstable; urgency=low

  * New upstream release, highlights include:
    - Provide the correct location for skins and configuration in
      documentation.
      (Closes: #430905)
  * debian/control:
    - Correct Build-Depends so that it won't try to incorrectly build on Etch.
      (Closes: #466518)
    - Bump Depends to force dependency on audacious-plugins 1.5.
  * debian/copyright: major updates

 -- William Pitcock <nenolod@sacredspiral.co.uk>  Thu, 13 Mar 2008 21:19:05 -0500

audacious (1.4.6-2) unstable; urgency=low

  * Fix D-Bus related breakage by depending on dbus itself.


=== debian/control ===
Source: audacious
Section: sound
Priority: optional
Maintainer: Debian Audacious Packagers <pkg-audacious-maintainers@lists.alioth.debian.org>
Uploaders: Chris Taylor <ctaylor@debian.org>,
           Benjamin Drung <bdrung@ubuntu.com>
Homepage: http://www.audacious-media-player.org/
Build-Depends: autotools-dev,
               debhelper (>= 7.0.50~),
               imagemagick,
               libdbus-1-dev (>= 0.60),
               libdbus-glib-1-dev (>= 0.60),
               libglade2-dev (>= 2.3.1),
               libgtk2.0-dev (>= 2.10),
               libmcs-dev (>= 0.7),
               libmowgli-dev (>= 0.4),
               librsvg2-bin
Standards-Version: 3.8.4
VCS-Browser: http://git.debian.org/?p=pkg-audacious/audacious.git;a=summary
VCS-Git: git://git.debian.org/pkg-audacious/audacious.git

Package: audacious
Architecture: any
Depends: audacious-plugins (>= 2.3),
         dbus,
         dbus-x11,
         libaudclient2 (= ${binary:Version}),
         libaudid3tag2 (= ${binary:Version}),
         libaudcore1 (= ${binary:Version}),
         gtk2-engines-pixbuf,
         ${misc:Depends},
         ${shlibs:Depends}
Provides: audacious2
Replaces: libsad2, libaudutil1
Recommends: unzip
Description: small and fast audio player which supports lots of formats
 Audacious is a fork of beep-media-player which supports winamp skins
 and many codecs.
 .
 In the default install, the following codecs are supported:
 .
  * MP3
  * Ogg Vorbis
  * AAC and AAC+
  * FLAC
  * Windows Media (WMA)
  * Musepack
  * TTA
  * Many module formats and much more!
 .
 Additionally, Audacious is extendable through plugins, and contains
 other useful features like LIRC support and support for last.fm.
 .
 This package contains the core player and its localization.

Package: libaudid3tag2
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Conflicts: audacious (<< 1.4~)
Description: audacious id3 tag manipulation library
 Audacious is a fork of beep-media-player which supports winamp skins
 and many codecs.
 .
 In the default install, the following codecs are supported:
 .
  * MP3
  * Ogg Vorbis
  * AAC and AAC+
  * FLAC
  * Windows Media (WMA)
  * Musepack
  * TTA
  * Many module formats and much more!
 .
 Additionally, Audacious is extendable through plugins, and contains
 other useful features like LIRC support and support for last.fm.
 .
 This package contains a library used to manipulate id3 tags.

Package: libaudclient2
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: audacious dbus remote control library
 Audacious is a fork of beep-media-player which supports winamp skins
 and many codecs.
 .
 In the default install, the following codecs are supported:
 .
  * MP3
  * Ogg Vorbis
  * AAC and AAC+
  * FLAC
  * Windows Media (WMA)
  * Musepack
  * TTA
  * Many module formats and much more!
 .
 Additionally, Audacious is extendable through plugins, and contains
 other useful features like LIRC support and support for last.fm.
 .
 This package contains a library used to remote control audacious.

Package: libaudcore1
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: audacious core engine library
 Audacious is a fork of beep-media-player which supports winamp skins
 and many codecs.
 .
 In the default install, the following codecs are supported:
 .
  * MP3
  * Ogg Vorbis
  * AAC and AAC+
  * FLAC
  * Windows Media (WMA)
  * Musepack
  * TTA
  * Many module formats and much more!
 .
 Additionally, Audacious is extendable through plugins, and contains
 other useful features like LIRC support and support for last.fm.
 .
 This package contains a library which provides core functionality
 of Audacious.

Package: audacious-dev
Section: libdevel
Architecture: any
Depends: libaudclient2 (= ${binary:Version}),
         libaudid3tag2 (= ${binary:Version}),
         libaudcore1 (= ${binary:Version}),
         libdbus-1-dev (>= 0.60),
         libdbus-glib-1-dev (>= 0.60),
         libglade2-dev (>= 2.3.1),
         libgtk2.0-dev (>= 2.6),
         libmcs-dev (>= 0.7),
         libmowgli-dev (>= 0.4),
         libsamplerate0-dev | libsamplerate-dev,
         ${misc:Depends}
Provides: libaudid3tag-dev, libaudclient-dev, libaudcore-dev
Description: audacious development files
 Audacious is a fork of beep-media-player which supports winamp skins
 and many codecs.
 .
 In the default install, the following codecs are supported:
 .
  * MP3
  * Ogg Vorbis
  * AAC and AAC+
  * FLAC
  * Windows Media (WMA)
  * Musepack
  * TTA
  * Many module formats and much more!
 .
 Additionally, Audacious is extendable through plugins, and contains
 other useful features like LIRC support and support for last.fm.
 .
 This package contains the development libraries and header files
 required for developing components for audacious.
 .
 Please note that this package no longer contains libaudacious, as
 libaudacious was dropped in Audacious 1.4. You should use libaudclient
 instead.

Package: audacious-dbg
Section: debug
Architecture: any
Depends: audacious (= ${binary:Version}), ${misc:Depends}
Provides: libaudid3tag2-dbg, libaudclient2-dbg, libaudcore1-dbg
Recommends: audacious-plugins-dbg
Priority: extra
Description: audacious media player (debugging symbols)
 Audacious is a fork of beep-media-player which supports winamp skins
 and many codecs.
 .
 In the default install, the following codecs are supported:
 .
  * MP3
  * Ogg Vorbis
  * AAC and AAC+
  * FLAC
  * Windows Media (WMA)
  * Musepack
  * TTA
  * Many module formats and much more!
 .
 Additionally, Audacious is extendable through plugins, and contains
 other useful features like LIRC support and support for last.fm.
 .
 This package contains the debugging symbols. Please install it before
 reporting crashes, as this makes the backtrace output more usable.

=== debian/rules ===
#!/usr/bin/make -f

DEB_BUILD_ARCH ?= $(shell dpkg-architecture -qDEB_BUILD_ARCH)

ifeq ($(DEB_BUILD_ARCH),i386)
additional_confflags := --disable-sse2
endif

%:
	dh $@ --parallel

override_dh_auto_configure:
	ln -sf /usr/share/misc/config.sub .
	ln -sf /usr/share/misc/config.guess .
	dh_auto_configure -- --disable-rpath --enable-chardet $(additional_confflags)

override_dh_auto_clean:
	dh_auto_clean
	rm -f man/*.1 config.status config.log config.h *.pc buildsys.mk
	rm -f src/audacious/dbus-client-bindings.h src/audacious/dbus-server-bindings.h
	find -name '.deps' -delete
	# Drop this png file cleanup after the next upstream release (probably 2.4)
	rm -f pixmaps/*.png src/audacious/images/audacious_player.xpm

override_dh_auto_build:
	# Change build id from UNSUPPORTED VERSION to <vendor> package
	echo "const char *build_stamp = \"$(shell dpkg-vendor --query vendor) package\";" > src/audacious/build_stamp.c;
	# Drop this png file creation after the next upstream release (probably 2.4)
	for size in 16 22 32 36; do \
		rsvg -h $${size} -w $${size} pixmaps/audacious.svg pixmaps/audacious-$${size}.png || exit 1; \
	done
	rsvg pixmaps/audacious.svg pixmaps/audacious.png
	convert -bordercolor Transparent -border 1x1 pixmaps/audacious-22.png pixmaps/audacious-24.png
	convert pixmaps/audacious.png src/audacious/images/audacious_player.xpm
	sed -i "s/audacious_player/audacious_player_xpm/" src/audacious/images/audacious_player.xpm
	dh_auto_build --parallel

override_dh_strip:
	dh_strip --dbg-package=audacious-dbg

override_dh_installdirs:
	dh_installdirs
	mkdir -p debian/tmp/usr/share/pixmaps
	convert pixmaps/audacious-16.png debian/tmp/usr/share/pixmaps/audacious-16.xpm
	convert pixmaps/audacious-32.png debian/tmp/usr/share/pixmaps/audacious-32.xpm

override_dh_install:
	dh_install
	dh_link usr/share/man/man1/audacious2.1 usr/share/man/man1/audacious.1
	dh_link usr/share/man/man1/audtool2.1 usr/share/man/man1/audtool.1
